﻿using Android.App;
using Android.OS;
using Android.Views;
using AndroidX.AppCompat.App;
using Engine.Android;
using Engine.Shared;

namespace MyGame.Android
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {
        private GameView view;

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            RequestWindowFeature(WindowFeatures.NoTitle);

            // Hide title bar
            SupportActionBar.Hide();

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);

            // Pass information from this activity to the surfaceview
            view = (GameView)FindViewById(Resource.Id.openglview);
            view.Initialize(new GameController());
            view.Run(60);
        }
    }
}